commit:     de7a77b87be67fe83c5c29f084c97e6092158a4d
Author:     Maciej Barć <xgqt <AT> riseup <DOT> net>
AuthorDate: Sat Apr  3 18:55:40 2021 +0000
Commit:     Maciej Barć <xgqt <AT> riseup <DOT> net>
CommitDate: Sat Apr  3 18:55:42 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=de7a77b8

gui-apps/corehunt: move live to cmake

Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Maciej Barć <xgqt <AT> riseup.net>

 gui-apps/corehunt/corehunt-9999.ebuild | 22 ++++------------------
 1 file changed, 4 insertions(+), 18 deletions(-)

diff --git a/gui-apps/corehunt/corehunt-9999.ebuild 
b/gui-apps/corehunt/corehunt-9999.ebuild
index e548618fc..c5b2257b4 100644
--- a/gui-apps/corehunt/corehunt-9999.ebuild
+++ b/gui-apps/corehunt/corehunt-9999.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
 
-inherit qmake-utils xdg
+inherit cmake xdg
 
 DESCRIPTION="A file finder utility for C Suite"
 HOMEPAGE="https://gitlab.com/cubocore/coreapps/corehunt";
@@ -33,21 +33,7 @@ RDEPEND="
 "
 
 src_prepare() {
-       default
+       cmake_src_prepare
 
-       sed -i 's/CSuite/X-CSuite/' "${PN}.desktop" || die
-}
-
-src_configure() {
-       eqmake5
-}
-
-src_compile() {
-       emake
-}
-
-src_install() {
-       einstalldocs
-
-       emake INSTALL_ROOT="${D}" install
+       sed -i 's/CSuite/X-CSuite/' *.desktop || die
 }

Reply via email to